<?php
session_start();
 /****************************************** صفحة تحميل المزيد من الأخبار ***************************************/ 
// ضبط اعدادات اللغة العربية للصفحة 
header("content-type:text/html;charset=utf-8"); 


/*  اسم الجدول وبداية الكويرى */  
$table='news';
$page_name='news';

//استدعاء ملف الاعدادات
$conc_type='web_read_conc';
include 'conf.php'; 
 

//استدعاء ملف الاتصال بقاعدة البيانات


 //استدعاء ملف الحماية من الحقن
 include "injection.php";


//ضمان توافق قاعدة البيانات مع اللغة العربية
mysqli_query($conn,"SET NAMES 'utf8'");
mysqli_query($conn,'SET CHARACTER SET utf8');
mysqli_query($conn,"SET character_set_client=utf8");
mysqli_query($conn,"SET character_set_connection=utf8");
mysqli_query($conn,"SET character_set_database=utf8");
mysqli_query($conn,"SET character_set_results=utf8");
mysqli_query($conn,"SET character_set_server=utf8");
mysqli_query($conn," set character_set_server='utf8'");
include("fetch_array_search.php");


if( !isset($_POST['start']) || !isset($_POST['end']) || 
!isset($_POST['num_rows']) || !isset($_POST['cat']) ||!isset($_POST['search'])){ die(); };







// فلترة المدخلات ومنع الحقن
$cat=filter_var($_POST['cat'], FILTER_SANITIZE_NUMBER_INT );
$depart=filter_var($_POST['depart'], FILTER_SANITIZE_NUMBER_INT );
$num_rows=filter_var($_POST['num_rows'], FILTER_SANITIZE_NUMBER_INT );
$end=filter_var($_POST['end'], FILTER_SANITIZE_NUMBER_INT );
$start=filter_var($_POST['start'], FILTER_SANITIZE_NUMBER_INT );
$search=preg_replace("/[^A-Za-z0-9.!? ]/",'',$_POST['search'] );





// تحويل الفقرات لسطور
function database_fix($value){
$value=str_replace("</p><p>", "<br /><br />", nl2br($value));
return 	$value;
}


// تحويل المسافات الى داش فى ال url
function url_dash($value){
$value=str_replace(" ", "-", nl2br($value));
return 	$value;
}


?>	

<div id="load_wait"></div>


	


 
							<?php
							//ضمان توافق قاعدة البيانات مع اللغة العربية
								mysqli_query($conn,"SET NAMES 'utf8'");
										
								/*بداية الاستعلام*/  
								$related_query="select `id`,`title`,`images` from news where active=1  order by `priority` desc , `sort` desc , id asc limit $start,$num_rows";
								$related_result=mysqli_query($conn,$related_query);	
								
								/*بداية التكرار */  
								while($related_fetch = mysqli_fetch_array($related_result)) {
   		 $related_fetch = clean_array($related_fetch);
									$related_id=$related_fetch['id'];
									$related_title=$related_fetch['title'];
									
									/*استخراج جميع الصور*/  
								    $current_image=explode(",",$related_fetch['images']);
																
									//استخراج اول صورة
									$related_image=$img_path.$page_name.'/'.$current_image[1];
																		

							?>

						
								<div class="big_div_no_border big_div_3_2_1  col-md-4 col-sm-6 col-12">
		
				
											 <a  rel='nofollow'   style='background:url(<?php echo $related_image ?>);background-position:center;background-size:cover;background-position:center;' class='product_img related_img_wide ' href="<?php echo  $website_url.'/news_article/'.$related_id.'/'.url_dash($related_title); ?>"  >

											 </a>
										 

											<a  rel='nofollow'  href="<?php echo  $website_url.'/news_article/'.$related_id.'/'.url_dash($related_title); ?>" >
												<h3  class='product_title_down'><?php echo $related_title; ?></h3>
											</a>
										
										
										
								</div>
												


					<?php } ?>
	
	







